import { Maybe } from 'monet';
export const readWebFile = (file) => new Promise((resolve, reject) => {
    const fileReader = new FileReader();
    // tslint:disable-next-line:no-object-mutation
    fileReader.onload = (readEvent) => {
        Maybe.fromNull(readEvent.target).cata(() => {
            reject('No FileReaderProgressEvent target.');
        }, (target) => {
            resolve(target.result);
        });
    };
    // tslint:disable-next-line:no-object-mutation
    fileReader.onerror = () => {
        reject(fileReader.error);
    };
    fileReader.readAsText(file); // starts async read
});
//# sourceMappingURL=read-web-file.js.map