import { IEvent, Logger, LogLevel } from '@samwise-tech/core';
import { Observable } from 'rxjs';
import { JsConsole } from './js-console';
declare class BrowserLogger extends Logger {
    private readonly nativeConsole;
    private readonly events$;
    constructor(nativeConsole: JsConsole);
    getConsoleEvents(allowedLogLevels: LogLevel[]): Observable<IEvent>;
    log(...args: any[]): void;
    warn(warnMsg: any, ...args: any[]): void;
    error(errMsg: any): void;
    debug(...args: any[]): void;
    info(infoMsg: any, ...args: any[]): void;
    onCatch<T>(label: string): (err: any) => Promise<T>;
    private callMethod;
}
export { BrowserLogger };
